org.codehaus.groovy.control

## Class ParserPluginFactory

- java.lang.Object
- - org.codehaus.groovy.control.ParserPluginFactory

- Direct Known Subclasses:
    AntlrParserPluginFactory

      public abstract class ParserPluginFactory
      extends java.lang.Object

  A factory of parser plugin instances

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserPluginFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ParserPlugin` | `createParserPlugin()`
    `static ParserPluginFactory` | `newInstance(boolean useNewParser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserPluginFactory

          public ParserPluginFactory()

  - ### Method Detail

    - #### newInstance

          public static ParserPluginFactory newInstance(boolean useNewParser)

    - #### createParserPlugin

          public abstract ParserPlugin createParserPlugin()